Shouldn't gcc-4 depend on libmpfr4 ?

Tim Prince n8tm@aol.com
Mon Mar 4 16:00:00 GMT 2013


On 3/4/2013 10:26 AM, Achim Gratz wrote:
> Corinna Vinschen <corinna-cygwin <at> cygwin.com> writes:
>> No, the dependency is correct, but, oh well, that's something which
>> shouldn't happen.  cc1 is linked against libmpc1, which in turn is
>> linked against libmpfr1, while cc1 is directly linked against libmpfr4.
>
> Ah.  Thanks for catching that.
>
>> David? Any chance to create a new mpclib package which fixes this
>> dependency problem?
>
> I have preliminary new-style cygport files for gmp, mpfr and mpc if it helps
> anybody.  Still fighting with some autotools issue (should be solved, fingers
> crossed) on gmp and I need to look into a test build failure for mpfr.
>
> It looks like libmfpr1 could be made obsolete after the new package has been
> deployed.
>
>
One of my posted applications

https://sites.google.com/site/tprincesite/levine-callahan-dongarra-vectors

is working for C and Fortran 77, but not for C++ nor Fortran 90, with 
the 4.7.2 download.

I'll have another go when some of the issues already discussed are 
reported fixed.

The installation is difficult when each component tries every time to 
revert to the "stable" release, producing a broken installation of mixed 
releases.

-- 
Tim Prince



--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list